diff --git a/webapp/src/views/fin/txn/ecb/onAccount.vue b/webapp/src/views/fin/txn/ecb/onAccount.vue
new file mode 100644
index 0000000000000000000000000000000000000000..676683b1ce20f3d4ee3cb434972bf385dcf127e1
--- /dev/null
+++ b/webapp/src/views/fin/txn/ecb/onAccount.vue
@@ -0,0 +1,55 @@
+<template>
+    <div class="edit-popup">
+        <popup ref="popupRef" :title="popupTitle" :async="true" width="800px" @confirm="handleSubmit" @close="handleClose">
+            <el-form ref="formRef" :model="formData" label-width="84px" :rules="formRules">
+                <el-form-item prop="remark">
+                    <el-input
+                            type="textarea"
+                            v-model="formData.remark"
+                            placeholder="请输入备注"
+                            clearable
+                            :rows="6"
+                    />
+                </el-form-item>
+            </el-form>
+        </popup>
+    </div>
+</template>
+<script lang="ts" setup>
+    import type {FormInstance} from 'element-plus'
+    import Popup from '@/components/popup/index.vue'
+    import {ref} from 'vue'
+    import feedback from '@/utils/feedback'
+    const emit = defineEmits(['success', 'close'])
+    const mode = ref('add')
+    const popupRef = shallowRef<InstanceType<typeof Popup>>()
+    const open = (ids: Array) => {
+        formData.ids = ids;
+        mode.value = 'add'
+        popupRef.value?.open()
+    }
+
+    // 表单数据
+    const formData = ref([
+        {
+            ids: [],
+            remark: '',
+        }
+    ])
+
+    const popupTitle = computed(() => {
+        return '挂账'
+    })
+    const handleClose = () => {
+        emit('close')
+    }
+    const handleSubmit = async () => {
+        popupRef.value?.close()
+        feedback.msgSuccess('操作成功')
+        emit('success')
+    }
+    defineExpose({
+        open,
+    })
+
+</script>
diff --git a/webapp/src/views/fin/txn/recharge.vue b/webapp/src/views/fin/txn/recharge.vue
index 2eb83edff83d341d664011ff9c999833e572f32d..1a775ece0e111bcc2e2a2a07ccc1e0f49684a488 100644
--- a/webapp/src/views/fin/txn/recharge.vue
+++ b/webapp/src/views/fin/txn/recharge.vue
@@ -1,26 +1,170 @@
 <template>
     <div class="index-lists">
         <el-card class="!border-none mt-4" shadow="never">
-            <div>
-                <el-button v-perms="['fin:debt:add']" type="primary" @click="handleAdd()">
-                    <template #icon>
-                        <icon name="el-icon-Plus" />
-                    </template>
-                    新增
-                </el-button>
+            <el-form ref="formRef" class="mb-[-16px]" :model="queryParams" :inline="true">
+                <el-form-item label="时间">
+                    <el-date-picker
+                            v-model="queryParams.peroid"
+                            type="daterange"
+                            range-separator="-"
+                            format="YYYY-MM-DD"
+                            value-format="YYYY-MM-DD"
+                            start-placeholder="开始时间"
+                            end-placeholder="结束时间"
+                            clearable
+                            style="width:180px"
+                    ></el-date-picker>
+                </el-form-item>
+                <el-form-item label="区域">
+                    <el-tree-select
+                            clearable
+                            v-model="queryParams.areaId"
+                            :data="options.areaOptions"
+                            :render-after-expand="false"
+                            :check-strictly="true"
+                            :props="{ label: 'name', children: 'children' }"
+                            node-key="id"
+                    />
+                </el-form-item>
+                <el-form-item label="房屋">
+                    <el-input class="w-[150px]" v-model="queryParams.houseName" clearable placeholder="请输入房屋"/>
+                </el-form-item>
+                <el-form-item label="交易方式" prop="paymentMethod">
+                    <el-select class="w-[280px]" v-model="queryParams.paymentMethod" placeholder="请选择交易方式">
+                        <el-option
+                                v-for="(item, index) in optionsData.paymentMethodOptions"
+                                :key="index"
+                                :label="item.label"
+                                :value="item.value"
+                        />
+                    </el-select>
+                </el-form-item>
+                <el-form-item label="仪表类型">
+                    <el-select class="w-[280px]" v-model="queryParams.meterType">
+                        <el-option label="电表" value="电表" />
+                        <el-option label="热水表" value="热水表" />
+                        <el-option label="冷水表" value="冷水表" />
+                    </el-select>
+                </el-form-item>
+                <el-form-item>
+                    <el-button type="primary" @click="resetPage">查询</el-button>
+                    <el-button @click="resetParams">重置</el-button>
+                </el-form-item>
+            </el-form>
+        </el-card>
+        <el-card class="!border-none mt-4" shadow="never">
+            <div class="flex" style="justify-content: space-around">
+                <div>
+                    <div>总金额</div>
+                    <div>¥{{statsRechargeData.total.totalAmount}}</div>
+                </div>
+                <div>
+                    <div>电费总额</div>
+                    <div>¥{{statsRechargeData.electric.totalAmount}}</div>
+                </div>
+                <div>
+                    <div>水费总额</div>
+                    <div>¥{{statsRechargeData.water.totalAmount}}</div>
+                </div>
+                <div>
+                    <div>气费总额</div>
+                    <div>¥{{statsRechargeData.gas.totalAmount}}</div>
+                </div>
+            </div>
+        </el-card>
+        <el-card class="!border-none mt-4" shadow="never">
+            <el-table
+                    class="mt-4"
+                    size="large"
+                    style="height: calc(100vh - 429px)"
+                    v-loading="pager.loading"
+                    :data="pager.lists"
+            >
+                <el-table-column label="区域" prop="areaName" min-width="110" />
+                <el-table-column label="房屋" prop="houseName" min-width="110" />
+                <el-table-column label="交易方式" prop="paymentMethod" min-width="110" />
+                <el-table-column label="能耗类型" prop="ecsType" min-width="110" />
+                <el-table-column label="交易时间" prop="paymentTime" min-width="110" />
+                <el-table-column label="金额" prop="amount" min-width="110" />
+                <el-table-column label="收款人" prop="payee" min-width="110" />
+            </el-table>
+            <div class="flex justify-end mt-4">
+                <pagination v-model="pager" @change="getLists" />
             </div>
-            {{'#####################'}}
         </el-card>
     </div>
 </template>
-<script lang="ts" setup name="txnRecharge">
+<script lang="ts" setup name="txnEcb">
+
+    import { listAreaTree} from '@/api/fin/common'
+    import { usePaging } from '@/hooks/usePaging'
+    import { useDictOptions } from '@/hooks/useDictOptions'
+    import { statsEcs, listEcs, statsRecharge, listRecharge, listDeduct, listSubsidy, listRefund, listShared } from '@/api/fin/report'
+    import { dictDataByType } from '@/api/common/dictData'
+    import {format} from 'date-fns';
+
+    const showOnAccount = ref(false)
+    const statsRechargeData = reactive({
+        TotalAmount: 0,
+        total: {
+            totalAmount: 0,
+            paidAmount: 0
+        },
+        electric: {
+            totalAmount: 0,
+            paidAmount: 0
+        },
+        water: {
+            totalAmount: 0,
+            paidAmount: 0
+        },
+        gas: {
+            totalAmount: 0,
+            paidAmount: 0
+        }
+    })
+
+
+    const queryParams = reactive({
+        id: '',
+        areaId: '',
+        houseName: '',
+        ownerName: '',
+        paymentMethod: '',
+        meterType: '',
+    })
 
-import feedback from '@/utils/feedback'
+    const { pager, getLists, resetPage, resetParams } = usePaging({
+        fetchFun: listRecharge,
+        params: queryParams
+    })
 
-const queryParams = reactive({
+    const options = reactive({
+        areaOptions: [],
+    })
 
-})
+    const {optionsData} = useDictOptions<{
+        paymentMethodOptions: any[]
+    }>({
+        paymentMethodOptions: {
+            api: dictDataByType,
+            params: {
+                type: 'payment_method'
+            },
+        },
+    })
 
-onMounted(() => {
-})
+    onMounted(() => {
+        statsRecharge({}).then((res) => {
+            statsRechargeData.TotalAmount = res.TotalAmount
+            statsRechargeData.total.totalAmount = res.total.totalAmount
+            statsRechargeData.electric.totalAmount = res.electric.totalAmount
+            statsRechargeData.water.totalAmount = res.water.totalAmount
+            statsRechargeData.gas.totalAmount = res.gas.totalAmount
+        })
+        getLists()
+        listAreaTree({}).then((res) => {
+            options.areaOptions = res
+        })
+    })
 </script>
diff --git a/webapp/src/views/fin/txn/refund.vue b/webapp/src/views/fin/txn/refund.vue
index 0f1520975b0f5df4523ccd5f35e32e2312ae68e0..38fa85431b072f7c0fa1e893e6bf871136603720 100644
--- a/webapp/src/views/fin/txn/refund.vue
+++ b/webapp/src/views/fin/txn/refund.vue
@@ -1,26 +1,90 @@
 <template>
     <div class="index-lists">
         <el-card class="!border-none mt-4" shadow="never">
-            <div>
-                <el-button v-perms="['fin:debt:add']" type="primary" @click="handleAdd()">
-                    <template #icon>
-                        <icon name="el-icon-Plus" />
-                    </template>
-                    新增
-                </el-button>
+            <el-form ref="formRef" class="mb-[-16px]" :model="queryParams" :inline="true">
+                <el-form-item label="区域">
+                    <el-tree-select
+                            clearable
+                            v-model="queryParams.areaId"
+                            :data="options.areaOptions"
+                            :render-after-expand="false"
+                            :check-strictly="true"
+                            :props="{ label: 'name', children: 'children' }"
+                            node-key="id"
+                    />
+                </el-form-item>
+                <el-form-item label="房屋">
+                    <el-input class="w-[150px]" v-model="queryParams.houseName" clearable placeholder="请输入房屋"/>
+                </el-form-item>
+                <el-form-item label="仪表地址">
+                    <el-input class="w-[150px]" v-model="queryParams.address" clearable placeholder="请输入仪表地址"/>
+                </el-form-item>
+                <el-form-item>
+                    <el-button type="primary" @click="resetPage">查询</el-button>
+                    <el-button @click="resetParams">重置</el-button>
+                </el-form-item>
+            </el-form>
+        </el-card>
+        <el-card class="!border-none mt-4" shadow="never">
+            <el-table
+                    class="mt-4"
+                    size="large"
+                    style="height: calc(100vh - 339px)"
+                    v-loading="pager.loading"
+                    :data="pager.lists"
+            >
+                <el-table-column label="区域" prop="areaName" min-width="110" />
+                <el-table-column label="房屋" prop="houseName" min-widtha="110" />
+                <el-table-column label="仪表类型" prop="meterType" min-width="110" />
+                <el-table-column label="仪表地址" prop="address" min-width="110" />
+                <el-table-column label="原单价" prop="amount" min-width="110" />
+                <el-table-column label="现单价" prop="amount" min-width="110" />
+                <el-table-column label="原金额" prop="amount" min-width="110" />
+                <el-table-column label="现金额" prop="amount" min-width="110" />
+                <el-table-column label="退补金额" prop="amount" min-width="110" />
+                <el-table-column label="支付时间" prop="paymentTime" min-width="110" />
+                <el-table-column label="扣除方式" prop="flowType" min-width="110" />
+                <el-table-column label="延期扣除时间" prop="amount" min-width="110" />
+            </el-table>
+            <div class="flex justify-end mt-4">
+                <pagination v-model="pager" @change="getLists" />
             </div>
-            {{'#####################'}}
         </el-card>
     </div>
 </template>
-<script lang="ts" setup name="txnRefund">
+<script lang="ts" setup name="txnEcb">
+
+    import { listAreaTree} from '@/api/fin/common'
+    import { usePaging } from '@/hooks/usePaging'
+    import { listRefund } from '@/api/fin/report'
+    import {format} from 'date-fns';
+
+    const queryParams = reactive({
+        id: '',
+        areaId: '',
+        houseName: '',
+        ownerName: '',
+        meterType: '',
+        feeAction: '',
+    })
 
-import feedback from '@/utils/feedback'
+    const { pager, getLists, resetPage, resetParams } = usePaging({
+        fetchFun: listRefund,
+        params: queryParams
+    })
 
-const queryParams = reactive({
+    const options = reactive({
+        areaOptions: [],
+    })
 
-})
+    const formatDate = (date: any) => {
+        return format(date, 'yyyy-MM-dd HH:mm:ss');
+    }
 
-onMounted(() => {
-})
+    onMounted(() => {
+        getLists()
+        listAreaTree({}).then((res) => {
+            options.areaOptions = res
+        })
+    })
 </script>
diff --git a/webapp/src/views/fin/txn/sms.vue b/webapp/src/views/fin/txn/sms.vue
index 807ec28bfd27065dc2b78ba945f034fdf0f4106a..b0d898657487910ac3df1aed1ae0869efd8429e4 100644
--- a/webapp/src/views/fin/txn/sms.vue
+++ b/webapp/src/views/fin/txn/sms.vue
@@ -1,26 +1,62 @@
 <template>
     <div class="index-lists">
         <el-card class="!border-none mt-4" shadow="never">
-            <div>
-                <el-button v-perms="['fin:debt:add']" type="primary" @click="handleAdd()">
-                    <template #icon>
-                        <icon name="el-icon-Plus" />
-                    </template>
-                    新增
-                </el-button>
+            <el-form ref="formRef" class="mb-[-16px]" :model="queryParams" :inline="true">
+                <el-form-item label="日期">
+                    <el-date-picker
+                            v-model="queryParams.day"
+                            type="date"
+                            placeholder="选择日期"
+                            class="w-[280px]"
+                            clearable
+                            value-format="YYYY-MM-DD"
+                    />
+                </el-form-item>
+                <el-form-item>
+                    <el-button type="primary" @click="resetPage">查询</el-button>
+                    <el-button @click="resetParams">重置</el-button>
+                </el-form-item>
+            </el-form>
+        </el-card>
+        <el-card class="!border-none mt-4" shadow="never">
+            <el-table
+                    class="mt-4"
+                    size="large"
+                    style="height: calc(100vh - 339px)"
+                    v-loading="pager.loading"
+                    :data="pager.lists"
+            >
+                <el-table-column label="充值金额" prop="areaName" min-width="110" />
+                <el-table-column label="充值条数" prop="houseName" min-widtha="110" />
+                <el-table-column label="操作人" prop="meterType" min-width="110" />
+                <el-table-column label="充值时间" prop="address" min-width="110" />
+            </el-table>
+            <div class="flex justify-end mt-4">
+                <pagination v-model="pager" @change="getLists" />
             </div>
-            {{'#####################'}}
         </el-card>
     </div>
 </template>
-<script lang="ts" setup name="txnSms">
+<script lang="ts" setup name="txnEcb">
 
-import feedback from '@/utils/feedback'
+    import { usePaging } from '@/hooks/usePaging'
+    import { listSubsidy } from '@/api/fin/report'
 
-const queryParams = reactive({
+    const queryParams = reactive({
+        id: '',
+        areaId: '',
+        houseName: '',
+        ownerName: '',
+        meterType: '',
+        feeAction: '',
+    })
 
-})
+    const { pager, getLists, resetPage, resetParams } = usePaging({
+        fetchFun: listSubsidy,
+        params: queryParams
+    })
 
-onMounted(() => {
-})
+    onMounted(() => {
+        getLists()
+    })
 </script>
diff --git a/webapp/src/views/fin/txn/subsidy.vue b/webapp/src/views/fin/txn/subsidy.vue
index 0f356fee70c016ea0e77c0f8de3f9a09bfd60cf2..627cbdb1eb199cc4640a2d14c4c3a56beb9e0c87 100644
--- a/webapp/src/views/fin/txn/subsidy.vue
+++ b/webapp/src/views/fin/txn/subsidy.vue
@@ -1,26 +1,84 @@
 <template>
     <div class="index-lists">
         <el-card class="!border-none mt-4" shadow="never">
-            <div>
-                <el-button v-perms="['fin:debt:add']" type="primary" @click="handleAdd()">
-                    <template #icon>
-                        <icon name="el-icon-Plus" />
-                    </template>
-                    新增
-                </el-button>
+            <el-form ref="formRef" class="mb-[-16px]" :model="queryParams" :inline="true">
+                <el-form-item label="区域">
+                    <el-tree-select
+                            clearable
+                            v-model="queryParams.areaId"
+                            :data="options.areaOptions"
+                            :render-after-expand="false"
+                            :check-strictly="true"
+                            :props="{ label: 'name', children: 'children' }"
+                            node-key="id"
+                    />
+                </el-form-item>
+                <el-form-item label="房屋">
+                    <el-input class="w-[150px]" v-model="queryParams.houseName" clearable placeholder="请输入房屋"/>
+                </el-form-item>
+                <el-form-item label="仪表地址">
+                <el-input class="w-[150px]" v-model="queryParams.address" clearable placeholder="请输入仪表地址"/>
+                </el-form-item>
+                <el-form-item>
+                    <el-button type="primary" @click="resetPage">查询</el-button>
+                    <el-button @click="resetParams">重置</el-button>
+                </el-form-item>
+            </el-form>
+        </el-card>
+        <el-card class="!border-none mt-4" shadow="never">
+            <el-table
+                    class="mt-4"
+                    size="large"
+                    style="height: calc(100vh - 339px)"
+                    v-loading="pager.loading"
+                    :data="pager.lists"
+            >
+                <el-table-column label="区域" prop="areaName" min-width="110" />
+                <el-table-column label="房屋" prop="houseName" min-widtha="110" />
+                <el-table-column label="仪表类型" prop="meterType" min-width="110" />
+                <el-table-column label="仪表地址" prop="address" min-width="110" />
+                <el-table-column label="补助金额" prop="amount" min-width="110" />
+                <el-table-column label="支付时间" prop="paymentTime" min-width="110" />
+            </el-table>
+            <div class="flex justify-end mt-4">
+                <pagination v-model="pager" @change="getLists" />
             </div>
-            {{'#####################'}}
         </el-card>
     </div>
 </template>
-<script lang="ts" setup name="txnSubsidy">
+<script lang="ts" setup name="txnEcb">
+
+    import { listAreaTree} from '@/api/fin/common'
+    import { usePaging } from '@/hooks/usePaging'
+    import { listSubsidy } from '@/api/fin/report'
+    import {format} from 'date-fns';
+
+    const queryParams = reactive({
+        id: '',
+        areaId: '',
+        houseName: '',
+        ownerName: '',
+        meterType: '',
+        feeAction: '',
+    })
 
-import feedback from '@/utils/feedback'
+    const { pager, getLists, resetPage, resetParams } = usePaging({
+        fetchFun: listSubsidy,
+        params: queryParams
+    })
 
-const queryParams = reactive({
+    const options = reactive({
+        areaOptions: [],
+    })
 
-})
+    const formatDate = (date: any) => {
+        return format(date, 'yyyy-MM-dd HH:mm:ss');
+    }
 
-onMounted(() => {
-})
+    onMounted(() => {
+        getLists()
+        listAreaTree({}).then((res) => {
+            options.areaOptions = res
+        })
+    })
 </script>
